package com.ejie.ad74a.model.avisos;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 * AvisosBajaBenef
 * 
 * @author UDA
 */

@XmlRootElement(name = "AvisosAnularBaja")
@XmlType(propOrder = { "idAviso", "idLlamada", "canalComunicacion" })
public class AvisosAnularBaja implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Long idAviso;
	private String idLlamada;
	private Integer canalComunicacion;

	public Long getIdAviso() {
		return idAviso;
	}

	public void setIdAviso(Long idAviso) {
		this.idAviso = idAviso;
	}

	@XmlElement(name = "idLlamada", nillable = true)
	public String getIdLlamada() {
		return idLlamada;
	}

	public void setIdLlamada(String idLlamada) {
		this.idLlamada = idLlamada;
	}

	@XmlElement(name = "canalComunicacion", nillable = true)
	public Integer getCanalComunicacion() {
		return canalComunicacion;
	}

	public void setCanalComunicacion(Integer canalComunicacion) {
		this.canalComunicacion = canalComunicacion;
	}

	public AvisosAnularBaja() {

	}

	public AvisosAnularBaja(Long idAviso, String idLlamada, Integer canalComunicacion) {
		super();
		this.idAviso = idAviso;
		this.idLlamada = idLlamada;
		this.canalComunicacion = canalComunicacion;
	}

}
